//---------------------------------------------------------------------------

#include <vcl.h>

#pragma hdrstop
#include "Mirror_Cam.h"
#include "VideoTimer.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------

//   Important: Methods and properties of objects in VCL can only be
//   used in a method called using Synchronize, for example:
//
//      Synchronize(UpdateCaption);
//
//   where UpdateCaption could look like:
//
//      void __fastcall VideoShot::UpdateCaption()
//      {
//        Form1->Caption = "Updated in a thread";
//      }
//---------------------------------------------------------------------------

__fastcall VideoShot::VideoShot(bool CreateSuspended)
        : TThread(CreateSuspended)
{
  switchflag=false;
  Interval=15;
  Priority=1;
}
//---------------------------------------------------------------------------
void __fastcall VideoShot::Execute()
{
        //---- Place thread code here ----
  lastime=GetTickCount();
  while(true)
  {
    if((int)(GetTickCount()-lastime)>Interval)
    {
      if(switchflag)
      {
        Synchronize(Working);
      }
      lastime=GetTickCount();
    }
  }

}
//---------------------------------------------------------------------------
void __fastcall VideoShot::SwitchMode(bool flag)
{
  switchflag=flag;
}

void __fastcall VideoShot::SetTimeInterval(int value)
{
   Interval=value;
}
void __fastcall VideoShot::Working()
{
  Form1->GetShot();
}